Package com.sap.ai.sdk.core.model

# Class TntTenantInfo

java.lang.Object
com.sap.ai.sdk.core.model.TntTenantInfo

public class TntTenantInfo extends Object
TntTenantInfo

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `TntTenantInfo.Builder`
  Builder helper class.
  `static interface`
  `TntTenantInfo.Builder1`
  Builder helper class.
  `static interface`
  `TntTenantInfo.Builder2`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `TntTenantInfo()`
  Default constructor for TntTenantInfo.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TntTenantInfo.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `TntTenantInfo` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `TntTenantInfo`.
  `String`
  `getServicePlan()`
  Get servicePlan
  `String`
  `getStatus()`
  Provisioning status of the tenant
  `String`
  `getTenantId()`
  tenant id
  `int`
  `hashCode()`
  `TntTenantInfo`
  `servicePlan(String servicePlan)`
  Set the servicePlan of this `TntTenantInfo` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `TntTenantInfo` instance.
  `void`
  `setServicePlan(String servicePlan)`
  Set the servicePlan of this `TntTenantInfo` instance.
  `void`
  `setStatus(String status)`
  Set the status of this `TntTenantInfo` instance.
  `void`
  `setTenantId(String tenantId)`
  Set the tenantId of this `TntTenantInfo` instance.
  `TntTenantInfo`
  `status(String status)`
  Set the status of this `TntTenantInfo` instance and return the same instance.
  `TntTenantInfo`
  `tenantId(String tenantId)`
  Set the tenantId of this `TntTenantInfo` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `TntTenantInfo` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TntTenantInfo

    protected TntTenantInfo()
    Default constructor for TntTenantInfo.

- ## Method Details

  - ### tenantId

    @Nonnull public TntTenantInfo tenantId(@Nonnull String tenantId)
    Set the tenantId of this `TntTenantInfo` instance and return the same instance.
    Parameters:
      `tenantId` - tenant id
    Returns:
      The same instance of this `TntTenantInfo` class

  - ### getTenantId

    @Nonnull public String getTenantId()
    tenant id
    Returns:
      tenantId The tenantId of this `TntTenantInfo` instance.

  - ### setTenantId

    public void setTenantId(@Nonnull String tenantId)
    Set the tenantId of this `TntTenantInfo` instance.
    Parameters:
      `tenantId` - tenant id

  - ### servicePlan

    @Nonnull public TntTenantInfo servicePlan(@Nonnull String servicePlan)
    Set the servicePlan of this `TntTenantInfo` instance and return the same instance.
    Parameters:
      `servicePlan` - The servicePlan of this `TntTenantInfo`
    Returns:
      The same instance of this `TntTenantInfo` class

  - ### getServicePlan

    @Nonnull public String getServicePlan()
    Get servicePlan
    Returns:
      servicePlan The servicePlan of this `TntTenantInfo` instance.

  - ### setServicePlan

    public void setServicePlan(@Nonnull String servicePlan)
    Set the servicePlan of this `TntTenantInfo` instance.
    Parameters:
      `servicePlan` - The servicePlan of this `TntTenantInfo`

  - ### status

    @Nonnull public TntTenantInfo status(@Nonnull String status)
    Set the status of this `TntTenantInfo` instance and return the same instance.
    Parameters:
      `status` - Provisioning status of the tenant
    Returns:
      The same instance of this `TntTenantInfo` class

  - ### getStatus

    @Nonnull public String getStatus()
    Provisioning status of the tenant
    Returns:
      status The status of this `TntTenantInfo` instance.

  - ### setStatus

    public void setStatus(@Nonnull String status)
    Set the status of this `TntTenantInfo` instance.
    Parameters:
      `status` - Provisioning status of the tenant

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `TntTenantInfo`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `TntTenantInfo` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `TntTenantInfo` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `TntTenantInfo` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static TntTenantInfo.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `TntTenantInfo` instance with all required arguments.